# Uses of Class
serp.bytecode.Code

Packages that use Code
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of Code in serp.bytecode

Methods in serp.bytecode that return Code
Modifier and Type
Method
Description
`Code`
BCMethod.`getCode(boolean add)`
Return the code for the method.
`Code`
ExceptionHandler.`getCode()`
Return the owning code block.
`Code`
Instruction.`getCode()`
Return the code block that owns this instruction.
`Code`
InstructionPtr.`getCode()`
Returns the Code block that owns the Instruction(s) this InstructionPtr points to.
`Code`
LineNumber.`getCode()`
`Code`
LineNumberTable.`getCode()`
`Code`
Local.`getCode()`
`Code`
LocalTable.`getCode()`
Constructors in serp.bytecode with parameters of type Code
Modifier
Constructor
Description
``
`SwitchInstruction(Code owner, int opcode)`

## Uses of Code in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type Code
Modifier and Type
Method
Description
`void`
BCVisitor.`enterCode(Code obj)`
`void`
PrettyPrintVisitor.`enterCode(Code obj)`
`void`
BCVisitor.`exitCode(Code obj)`